Journey Notes
Tags: journeys, notes
Endpoints
GET /{journey_id}/notes- NotesPOST /{journey_id}/notes- NotesDELETE /{journey_id}/notes/{note_id}- Delete NotesPUT /{journey_id}/notes/{note_id}- Update Notes
Notes
GET /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes
Description:
Notes and annotations on member journeys
List all notes for a specific journey.
Authorization: Requires journeys:read scope
Parameters:
journey_id(Integer)
Response: List of JourneyNoteResponse
Notes
POST /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes
Description:
Notes and annotations on member journeys
Create a new note for a journey.
Authorization: Requires journeys:write scope
Parameters:
journey_id(Integer)request- See CreateJourneyNoteRequest
Response: See JourneyNoteResponse
Delete Notes
DELETE /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes/{note_id}
Description:
Notes and annotations on member journeys
Delete a journey note.
Authorization: Requires journeys:admin scope
Parameters:
journey_id(Integer)note_id(Integer)
Update Notes
PUT /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes/{note_id}
Description:
Notes and annotations on member journeys
Update a journey note.
Authorization: Requires journeys:write scope
Parameters:
journey_id(Integer)note_id(Integer)request- See UpdateJourneyNoteRequest
Response: See JourneyNoteResponse